from typing import Dict, Optional, List

class Message(Dict):
    id: int
    chat: str
    author: int
    body: str
    createdAt: int
    replyTo: Optional[int]
    createdAt: int
    updatedAt: Optional[int]

class Chat(Dict):
    id: str
    members: List[int]
    admins: List[int]
    title: str
    updatedAt: int
    createdAt: int
    createdBy: int
    description: Optional[str]

class ChatMember(Dict):
    id: int
    slug: str
    name: str
    userpic: Optional[str]
    lastSeen: int
    online: Optional[bool]